Bug#582784: patch to enable fribidi support in mplayer

Reinhard Tartler siretart at tauware.de
Wed May 26 09:57:44 UTC 2010

On Sun, May 23, 2010 at 18:01:07 (CEST), Lior Kaplan wrote:

> This is probably due to the an updated libfribidi package (version 0.19.2-1)
> which has dropped fribidi-config that mplayer checks for.
> I'm attaching a patch to fix the configure script. Additionally the
> following
> configure option has to be added:
> "--with-fribidi-config=/usr/bin/pkg-config"

I'm sorry that I haven't looked at your patch more closely before. I was
just to apply your patch, but this approach is not acceptable for
neither upstream nor the debian package.

I've therefore invested some time to add pkg-config support
properly, commit it to svn trunk, backported to the mplayer package, got
flamed upstream for making pkg-config mandatory (breaks cygwin builds)
and eventually fixed that as well.

Anyway, this should be fixed now in debian as well.

Reinhard Tartler, KeyID 945348A4

More information about the pkg-multimedia-maintainers mailing list